Bug 1326636 - File association for LyX seems broken.
Summary: File association for LyX seems broken.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: lyx
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-13 09:15 UTC by bugreports2005
Modified: 2016-04-30 03:34 UTC (History)
2 users (show)

Fixed In Version: lyx-2.1.4-7.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-30 03:34:56 UTC


Attachments (Terms of Use)

Description bugreports2005 2016-04-13 09:15:50 UTC
Description of problem:

*.lyx files are not being opened in lyx by default.

The right click Open With menu does not offer lyx either.

Neither does Open With/Other Application... allow to
configure lyx, only says "No applications found for ...".


Version-Release number of selected component (if applicable):
lyx-2.1.3-4.el7.x86_64


How reproducible:
Reproducible


Steps to Reproduce:
1. Install lyx from EPEL for EL7
2. Obtain a lyx file or use the lyx from step 1 to create one
3. Double-click on the said lyx file in


Actual results:
The file is opened in Gedit.


Expected results:
The file is opened in LyX.


Additional info:

- File properties correctly detects file as application/x-lyx.
- lyx.desktop has MimeType=application/x-lyx;text/x-lyx;
- What lyx.desktop does NOT have is an %f on the Exec= line.

With Exec=lyx %f, LyX does show up in the Open With menu, as
well as as the recommended application in Open With/Other
Application.... The default appears to remain gedit, however.

Comment 1 Rex Dieter 2016-04-13 11:53:41 UTC
Thanks, I'll take a look.

Comment 2 Fedora Update System 2016-04-13 12:59:02 UTC
lyx-2.1.4-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-43a7e6bf0a

Comment 3 Fedora Update System 2016-04-14 04:50:03 UTC
lyx-2.1.4-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-43a7e6bf0a

Comment 4 Fedora Update System 2016-04-30 03:34:51 UTC
lyx-2.1.4-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.